#include <windows.h>
#include <GL/gl.h>
#include <QList>

class Bee;

class Cell
{
public:
	Cell(void);
	~Cell(void);
	
	void paint();
	void paintBees();
	void step();

	void exertForce( float fx, float fy );

	void addBee( Bee* b );
	void remBee( Bee* b );

	void setPos( float px, float py ) { x = px; y = py; };
	void setRad( float r ) { rad = r; m = 3.14 * r * r; };
	void setCharge( float c ) { coul = c; };

	float posX() { return x; };
	float posY() { return y; };
	float velX() { return vx; };
	float velY() { return vy; };
	float radius() { return rad; };
	float charge() { return coul; };

	static void buildDisplayLists();

private:
	float fx, fy;
	float ax, ay;
	float vx, vy;
	float x, y;
	float m, rad, coul;

	QList<Bee*> bees;

	static uint CIRCLE_LIST;
};
